Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.security
Class JpaTokenStore

    java.lang.Object
      org.jboss.seam.security.JpaTokenStore

All Implemented Interfaces:
  Serializable, TokenStore

    @Name(value="org.jboss.seam.security.tokenStore")
    @Install(precedence=0,
             value=false)
    @Scope(value=APPLICATION)
    @BypassInterceptors
    public class JpaTokenStore

extends Object
implements TokenStore, Serializable

A TokenStore implementation, stores tokens inside a database table.

Author:
  Shane Bryzak
See Also:
  Serialized Form

Constructor Summary
`JpaTokenStore()`

Method Summary
`void` | `create()`
`void` | `createToken(String username, String value)`
`Expressions.ValueExpression` | `getEntityManager()`
`Class` | `getTokenClass()`
`void` | `invalidateAll(String username)`
`void` | `invalidateToken(String username, String value)`
`Object` | `lookupToken(String username, String value)`
`void` | `setEntityManager(Expressions.ValueExpression expression)`
`void` | `setTokenClass(Class tokenClass)`
`boolean` | `validateToken(String username, String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JpaTokenStore

    public JpaTokenStore()

Method Detail

### create

    @Create
    public void create()

### createToken

    public void createToken(String username,
                            String value)

  Specified by:
    `createToken` in interface `TokenStore`

### validateToken

    public boolean validateToken(String username,
                                 String value)

  Specified by:
    `validateToken` in interface `TokenStore`

### invalidateToken

    public void invalidateToken(String username,
                                String value)

  Specified by:
    `invalidateToken` in interface `TokenStore`

### invalidateAll

    public void invalidateAll(String username)

  Specified by:
    `invalidateAll` in interface `TokenStore`

### lookupToken

    public Object lookupToken(String username,
                              String value)

### getTokenClass

    public Class getTokenClass()

### setTokenClass

    public void setTokenClass(Class tokenClass)

### getEntityManager

    public Expressions.ValueExpression getEntityManager()

### setEntityManager

    public void setEntityManager(Expressions.ValueExpression expression)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.